Skip to main content
POST
/
api
/
v2
/
images
/
ocr
/
price
cURL
curl --request POST \
  --url https://api.deapi.ai/api/v2/images/ocr/price \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'image=<string>' \
  --form model=Nanonets_Ocr_S_F16 \
  --form language=en \
  --form format=text \
  --form 0.image='@example-file'
import requests

url = "https://api.deapi.ai/api/v2/images/ocr/price"

files = { "0.image": ("example-file", open("example-file", "rb")) }
payload = {
"image": "<string>",
"model": "Nanonets_Ocr_S_F16",
"language": "en",
"format": "text"
}
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('image', '<string>');
form.append('model', 'Nanonets_Ocr_S_F16');
form.append('language', 'en');
form.append('format', 'text');
form.append('0.image', '{
"fileName": "example-file"
}');

const options = {method: 'POST', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.deapi.ai/api/v2/images/ocr/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "price": 0.15
  }
}
{
"data": {},
"message": "<string>",
"errors": [
"<unknown>"
],
"statusCode": 123
}
{
"data": {},
"message": "<string>",
"errors": [
"<unknown>"
],
"statusCode": 123
}
{
"message": "The selected model does not support Text To Image.",
"errors": {
"model": [
"The selected model does not support Text To Image."
]
}
}
{
"message": "Too Many Attempts."
}
Estimate the cost of an OCR job before submitting it.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Body

multipart/form-data

Image to text conversion parameters

image
file
required

Image file to extract text from. Supported formats: JPG, JPEG, PNG, GIF, BMP, WebP. Maximum file size: 10 MB.

model
string
required

The OCR model to use for text extraction. Available models can be retrieved via the GET /api/v1/client/models endpoint.

Example:

"Nanonets_Ocr_S_F16"

language
string | null

Language code for OCR processing (optional)

Example:

"en"

format
enum<string> | null

Output format for extracted text

Available options:
text,
json
Example:

"text"

Response

Calculated price for img2txt inference.

data
object